Subject: bug#18108: 24.3.92 : eshell-visual-options fails with some output.

From: Charles Rendleman <[email-masked]>
Date: Fri, 25 Jul 2014 15:48:49 -0400

1) emacs -Q
2) invoke eshell

The following inputs are at the eshell prompt.
3) git --help                                     # shows git help summary
3') *git --help                                   # shows git help summary
4) (add-to-list 'eshell-visual-options '("git" "--help"))
5) git --help                                     # shows nothing
6) bash -c "git --help"                      # shows git help summary
7) *git --help                                    # displays '/bin/git:
external command failed'
8) git --version                                 # displays "git version
2.0.2"